You can remove members from organizations using either the or the . Removing a user from an organization will remove only that user’s membership in the given organization; it will not remove the user from the connection or the Auth0 tenant. The removal process takes approximately 5 - 10 seconds.Documentation Index
Fetch the complete documentation index at: https://docs-staging.auth0-mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Auth0 Dashboard
To remove a member via the Auth0 Dashboard:- Navigate to Auth0 Dashboard > Organizations, and select the organization for which you want to configure membership.
- Select the Members view, locate the member you want to remove, and expand its More Options (…) menu.
- Select Remove member, and confirm.
Management API
To remove members via the Management API: Make aDELETE call to the Delete Organization Members endpoint. Be sure to replace the ORG_ID, MGMT_API_ACCESS_TOKEN, and USER_ID placeholder values with your organization ID, Management API , and user ID, respectively.
Find Your Auth0 DomainIf your Auth0 domain is your tenant name, your regional subdomain (unless your tenant is in the US region and was created before June 2020), plus
.auth0.com. For example, if your tenant name were travel0, your Auth0 domain name would be travel0.us.auth0.com. (If your tenant were in the US and created before June 2020, then your domain name would be https://travel0.auth0.com.)If you are using custom domains, this should be your custom domain name.| Value | Description |
|---|---|
ORG_ID | ID of the organization for which you want to remove membership. |
MGMT_API_ACCESS_TOKEN | Access Token for the Management API with the scope delete:organization_members. |
USER_ID | ID of the user(s) you want to remove from the specified organization. |
Response status codes
Possible response status codes are as follows:| Status code | Error code | Message | Cause |
|---|---|---|---|
204 | Users successfully removed from organization. | ||
400 | invalid_body | Invalid request body. The message will vary depending on the cause. | The request payload is not valid. |
400 | invalid_query_string | Invalid request query string. The message will vary depending on the cause. | The query string is not valid. |
401 | Invalid token. | ||
401 | Invalid signature received for JSON Web Token validation. | ||
401 | Client is not global. | ||
403 | insufficient_scope | Insufficient scope; expected any of: delete:organization_members. | Tried to read/write a field that is not allowed with provided bearer token scopes. |
429 | Too many requests. Check the X-RateLimit-Limit, X-RateLimit-Remaining and X-RateLimit-Reset headers. |